#include<bits/stdc++.h>
using namespace std;
int main(){
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	long long a,b,c,d,ans,fans=1,r,s;
	cin>>a>>b;
	while(b--){
		cout<<1<<endl;
	}
	return 0;
}
/* 
1
10 11 2
10 2
7 2
7 2
2 2
3 2
4 2
10 2
7 2
10 2
3 2
3 2


503279958
*/
/* 
1
12 2 2
7 2
7 2


*/
